> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a home insurance report

> The endpoint returns the home insurance report.



## OpenAPI

````yaml GET /v1/links/{link_id}/insurance/report/home/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/links/{link_id}/insurance/report/home/:
    parameters:
      - name: link_id
        in: path
        required: true
        schema:
          type: string
        example: 24d7e80942ce4ad58a93f70ce4115f5c
    get:
      tags:
        - Insurance Reports
      summary: Retrieve a home insurance report
      description: The endpoint returns the home insurance report.
      operationId: link_detail_reports_insurance_home
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HomeInsuranceReport'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    HomeInsuranceReport:
      required:
        - id
        - status
        - access_token
        - provider
        - tracking_info
        - insurance
        - identity
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          example: 24d7e80942ce4ad58a93f70ce4115f5c
        status:
          description: '[Request status](https://docs.truv.com/reference/task-livecycle)'
          type: string
          example: new
        finished_at:
          description: Time when report was finished
          type: string
          example: '2021-04-06T11:30:00Z'
        access_token:
          description: Access token for a Link to payroll provider
          type: string
          example: 48427a36d43c4d5aa6324bc06c692456
        tracking_info:
          description: Any information passed to the Truv Bridge from a partner
          type: string
          example: user123456
        is_suspicious:
          description: >-
            Flag to indicate if the data from the source is suspicious. E.g.
            fraud detected in uploaded documents or SSN of the user does not
            match with the data
          type: boolean
        insurance:
          $ref: '#/components/schemas/HomePull'
        provider:
          description: Insurance Provider ID
          type: string
          example: progressive
        identity:
          $ref: '#/components/schemas/Profile'
        pdf_report:
          description: Insurance report in PDF format
          type: string
          format: uri
          example: https://cdn.truv.com/report.pdf
      description: Data for the insurance report
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
    HomePull:
      type: object
      properties:
        policies:
          description: List of policies
          type: array
          items:
            $ref: '#/components/schemas/HomePolicy'
          readOnly: true
        addresses:
          description: List of addresses
          type: array
          items:
            $ref: '#/components/schemas/InsuranceAddress'
          readOnly: true
        agents:
          description: List of agents
          type: array
          items:
            $ref: '#/components/schemas/InsuranceAgent'
          readOnly: true
      title: Insurance
    Profile:
      required:
        - first_name
        - last_name
      type: object
      properties:
        id:
          description: ID of the object
          type: string
          example: 48427a36d43c4d5aa6324bc06c692456
        created_at:
          description: Person's identity info was retrieved first time (ISO 8601)
          type: string
          example: '2022-06-07T15:00:00Z'
        updated_at:
          description: Person's identity info was retrieved last time (ISO 8601)
          type: string
          example: '2022-06-30T15:00:00Z'
        first_name:
          description: First name
          type: string
          example: John
        last_name:
          description: Last name
          type: string
          example: Doe
        full_name:
          description: Full name
          type: string
          example: John Doe
        middle_initials:
          description: Middle initials
          type: string
          example: K
          nullable: true
        email:
          description: Email address
          type: string
          format: email
          nullable: true
          example: john.doe@example.com
        ssn:
          description: Social security number (Full or last 4 digits)
          type: string
          example: '123456789'
        date_of_birth:
          description: Date of birth
          type: string
          format: date
          nullable: true
          example: '1992-03-03'
        home_address:
          description: Home address
          nullable: true
          type: object
          properties:
            street:
              description: Street
              type: string
              example: 1 Morgan Ave
            city:
              description: City
              type: string
              example: Los Angeles
            state:
              description: State
              type: string
              example: CA
            zip:
              description: Zip code
              type: string
              example: '90210'
            country:
              description: Country
              type: string
              example: US
      description: Person's identity information
    HomePolicy:
      required:
        - carrier_name
      type: object
      properties:
        id:
          description: Policy ID
          type: string
          format: uuid
          example: 53c5ce0d-fb79-4f1c-bc27-32181b368fc7
        policy_type:
          description: Policy type
          type: string
          example: CONDO
          enum:
            - CONDO
            - HOMEOWNERS
            - LANDLORD
            - RENTERS
            - MOBILE_HOME
        name:
          description: Human-friendly name
          type: string
          example: AUTO AU192837
        description:
          description: Human-friendly description
          type: string
          example: Effective 11/03/2021 - 11/03/2022
        carrier_policy_number:
          description: Carrier policy number
          type: string
          example: HO132654
        effective_date:
          description: Policy effective date
          type: string
          format: date-time
          example: '2021-11-03T00:00:00Z'
        expiry_date:
          description: Policy expiration date
          type: string
          format: date-time
          example: '2021-11-03T00:00:00Z'
        renewal_date:
          description: Policy renewal date
          type: string
          format: date-time
          example: '2021-11-03T00:00:00Z'
        canceled_date:
          description: Policy canceled date
          type: string
          format: date-time
          example: '2021-11-03T00:00:00Z'
        total_premium_cents:
          description: Total policy premium in cents
          type: integer
          example: 150319
        deductible_cents:
          description: Commercial policy deductible in cents
          type: integer
        carrier_name:
          description: Insurance carrier name
          type: string
          example: progressive
        status:
          description: Policy status
          type: string
          enum:
            - ACTIVE
            - CANCELLED
            - EXPIRED
            - UNVERIFIED
            - PENDING_ACTIVATION
            - PENDING_CANCELLATION
            - RESCINDED
          example: ACTIVE
        paid_in_full:
          description: Whether the policy is fully paid
          type: boolean
          example: true
        commercial_named_insureds:
          description: List of commercial named insureds
          type: array
          items:
            $ref: '#/components/schemas/InsurancePolicyCommercialNamedInsured'
        named_insureds:
          description: List of named insured objects
          type: array
          items:
            $ref: '#/components/schemas/InsurancePolicyNamedInsured'
        claims:
          description: List of claims
          type: array
          items:
            $ref: '#/components/schemas/InsuranceClaim'
        loss_events:
          description: List of loss events
          type: array
          items:
            $ref: '#/components/schemas/InsurancePolicyLossEvent'
        documents:
          description: List of documents
          type: array
          items:
            $ref: '#/components/schemas/InsuranceDocument'
        dwellings:
          description: List of dwellings
          type: array
          items:
            $ref: '#/components/schemas/InsurancePolicyDwelling'
      description: Policy object
    InsuranceAddress:
      required:
        - id
      type: object
      properties:
        id:
          description: Address ID
          type: string
          format: uuid
          example: a497f96b-94be-443e-88bb-c8289085c922
        address_nature:
          description: The type of address
          type: string
          example: MAILING
          enum:
            - MAILING
            - PHYSICAL
            - LIENHOLDER
            - INCIDENT_LOCATION
            - AGENCY_LOCATION
            - MORTGAGEE
        country:
          description: Country
          type: string
          nullable: true
          example: US
        street:
          description: Street
          type: string
          example: 344 Clinton St, Apartment 3D
        city:
          description: City
          type: string
          example: Brooklyn
        state:
          description: State
          type: string
          example: NY
        zip:
          description: Zip code
          type: string
          example: '11231'
    InsuranceAgent:
      required:
        - id
      type: object
      properties:
        id:
          description: AgentInfo record ID
          type: string
          format: uuid
          example: da9d46ad-8ddb-4b4b-bc7e-7a381a738f7d
        agency_name:
          description: Name of the agency (agency_name or agent_full_name required)
          type: string
        agent_full_name:
          description: Name of the agent (agency_name or agent_full_name required)
          type: string
        phone_number:
          description: Phone number for the agent/agency
          type: string
        email:
          description: Email for the agent/agency
          type: string
          format: email
          example: john.doe@example.com
        policy_ids:
          description: List of Policy ID's associated to the agent
          type: array
          items:
            type: string
            format: uuid
          readOnly: true
        address:
          $ref: '#/components/schemas/InsuranceAddress'
      title: Driving Record
    InsurancePolicyCommercialNamedInsured:
      required:
        - id
        - is_primary
      type: object
      properties:
        id:
          description: Commercial named insured ID
          type: string
          format: uuid
          example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
        name:
          description: Name of the insured
          type: string
          example: Sample Business LLC
        form_of_business:
          description: Form of business
          type: string
          example: INDIVIDUAL
          enum:
            - INDIVIDUAL
            - PARTNERSHIP
            - LIMITED_LIABILITY_COMPANY
            - S_CORPORATION
            - CORPORATION
            - JOINT_VENTURE
            - NOT_FOR_PROFIT_ORGANIZATION
            - TRUST
        gl_code:
          description: General liability class code
          type: string
          example: '10010'
        sic_code:
          description: Standard industrial classification code
          type: string
          example: '6411'
        naics_code:
          description: North american industry classification system code
          type: string
          example: '524210'
        fein:
          description: Federal employer identification number
          type: string
          example: '123456789'
        ssn:
          description: Social security number
          type: string
          example: '123456789'
        is_primary:
          description: Whether the insured is the primary
          type: boolean
        address:
          $ref: '#/components/schemas/InsuranceAddress'
      title: Commercial Named Insured
    InsurancePolicyNamedInsured:
      required:
        - id
      type: object
      properties:
        id:
          description: Named insured ID
          type: string
          format: uuid
          example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
        first_name:
          description: First name of the insured
          type: string
        middle_name:
          description: Middle name of the insured
          type: string
        last_name:
          description: Last name of the insured
          type: string
        full_name:
          description: Full name of the insured
          type: string
        is_primary:
          description: Whether the insured is the primary named insured
          type: boolean
      title: Named Insured
    InsuranceClaim:
      required:
        - id
      type: object
      properties:
        id:
          description: Claim ID
          type: string
          format: uuid
        dwelling_id:
          description: Dwelling ID
          type: string
          nullable: true
          format: uuid
        vehicle_id:
          description: Cehicle ID
          type: string
          format: uuid
          nullable: true
        driver_id:
          description: Driver ID
          type: string
          format: uuid
          nullable: true
        carrier_claim_identifier:
          description: Carrier claim identifier
          type: string
        date_occurred:
          description: Date the claim occurred
          type: string
          format: date-time
        type:
          description: Claim type
          type: string
          example: WIND_AND_HAIL_DAMAGE
          enum:
            - WIND_AND_HAIL_DAMAGE
            - WATER_DAMAGE_AND_FREEZING
            - FIRE_AND_LIGHTNING_DAMAGE
            - OTHER_PROPERTY_DAMAGE
            - PERSONAL_LIABILITY
            - POWER_OUTAGE_OR_SURGE
            - THEFT
            - CAR_ACCIDENT
            - WINDSHIELD_DAMAGE
            - ANIMAL_COLLISION
            - VANDALISM
            - WEATHER
            - EMERGENCY_ROADSIDE_ASSISTANCE
            - MEDICAL
            - HURRICANE_DAMAGE
            - SEWAGE_BACKUP
        status:
          description: Status
          type: string
          example: OPEN
          enum:
            - OPEN
            - CLOSED
        date_closed:
          description: Date the claim was closed
          type: string
          format: date-time
          nullable: true
          example: '2022-05-03T00:00:00Z'
        payout_cents:
          description: Payout in cents
          type: integer
          nullable: true
          example: 180111
        representative_name:
          description: Representative name
          type: string
        representative_phone:
          description: Representative phone number
          type: string
        representative_email:
          description: Representative email address
          type: string
        address:
          $ref: '#/components/schemas/InsuranceAddress'
      title: Claim
    InsurancePolicyLossEvent:
      required:
        - id
        - date_of_occurrence
        - type
        - amount_paid_cents
        - is_subrogation
        - is_claim_open
      type: object
      properties:
        id:
          description: Loss event ID
          type: string
          format: uuid
        date_of_occurrence:
          description: Date the loss event occurred
          type: string
          format: date-time
          example: '2022-05-03T00:00:00Z'
        date_of_claim:
          description: Date of the claim
          type: string
          format: date-time
          example: '2022-05-03T00:00:00Z'
        type:
          description: Loss event type
          type: string
          example: BURGLARY_AND_THEFT
          enum:
            - BURGLARY_AND_THEFT
            - WATER_DAMAGE_AND_FREEZING_DAMAGE
            - WIND_AND_HAIL_DAMAGE
            - FIRE
            - CUSTOMER_SLIPS_AND_FALLS
            - CUSTOMER_INJURY_AND_DAMAGE
            - PERSONAL_AND_ADVERTISING_INJURY
            - EMPLOYEE_INJURY_OR_ILLNESS
            - PRODUCT_LIABILITY
            - STRUCK_BY_AN_OBJECT
            - REPUTATIONAL_HARM
            - VEHICULAR_ACCIDENT
            - WINDSHIELD_DAMAGE
            - STRIKE_RIOT_OR_CIVIL_COMMOTION
            - EMERGENCY_ROADSIDE_ASSISTANCE
        amount_paid_cents:
          description: Amount paid in cents
          type: integer
          example: 123323
        amount_reserved_cents:
          description: Amount reserved in cents
          type: integer
          nullable: true
        is_subrogation:
          description: Whether subrogation was successful
          type: boolean
        is_claim_open:
          description: Whether the claim is open
          type: boolean
      title: Loss Event
    InsuranceDocument:
      required:
        - id
        - title
        - document_type
        - date_added
      type: object
      properties:
        id:
          description: Document ID
          type: string
          format: uuid
          example: 55ad7bb6-f5a3-4ebf-91fb-2802391eb261
        title:
          description: Document title
          type: string
          example: 11-03-2021 - Auto - Automobile Policy Renewal Declarations
        document_type:
          description: Document type
          type: string
          example: INSURANCE_APPLICATION
          enum:
            - INSURANCE_APPLICATION
            - INSURANCE_BINDER
            - DECLARATIONS
            - ENDORSEMENT
            - INSURANCE_ID_CARD
            - VERIFICATION_OF_INSURANCE
        date_added:
          description: Document effective date
          type: string
          format: date-time
          example: '2022-05-03T00:00:00Z'
        file:
          description: File url
          type: string
          example: https://truv-statements.s3.amazonaws.com/insurance/example_file
      title: Insurance Document
    InsurancePolicyDwelling:
      required:
        - id
      type: object
      properties:
        id:
          description: Dwelling ID
          type: string
          format: uuid
          example: b7a53a67-7266-42b6-a20e-97e8fc723bbc
        address:
          $ref: '#/components/schemas/InsuranceAddress'
        replacement_cost_cents:
          description: Replacement cost in cents
          type: integer
          example: 2600
          nullable: true
        cash_value_cents:
          description: Cash value in cents
          type: integer
          example: 2600
          nullable: true
        coverages:
          description: List of dwelling coverages
          type: array
          items:
            $ref: '#/components/schemas/InsuranceDwellingCoverage'
        mortgagees:
          description: List of mortgagee objects
          type: array
          items:
            $ref: '#/components/schemas/InsuranceDwellingMortgagee'
      title: Dwelling
    InsuranceDwellingCoverage:
      required:
        - premium_cents
        - is_declined
        - id
      type: object
      properties:
        id:
          description: Dwelling coverage ID
          type: string
          format: uuid
          example: b9087b71-c1b1-482d-be9f-92a2cf81fbb3
        name:
          description: Name of coverage item
          type: string
          enum:
            - BASE
            - DWELLING
            - OTHER_STRUCTURES
            - PERSONAL_PROPERTY
            - BUSINESS_PROPERTY
            - ORDINANCE_OR_LAW
            - LOSS_OF_USE
            - LOSS_ASSESSMENTS
            - PERSONAL_LIABILITY
            - PREMISES_LIABILITY
            - REPLACEMENT_COST_FULL_VALUE
            - REPLACEMENT_COST_DWELLING
            - REPLACEMENT_COST_CONTENTS
            - GUEST_MEDICAL_PROTECTION
            - DAMAGE_TO_PROPERTY_OF_OTHERS
            - MEDICAL_PAYMENTS
            - ADDITIONAL_LIVING_EXPENSE
            - FAMILY_LIABILITY_PROTECTION
            - BUILDING_CODES
            - WINDSTORM_OR_HAIL
            - HURRICANE
            - ALL_OTHER_PERILS
            - ALL_PERILS
            - EARTHQUAKE
            - FLOOD
            - PORTABLE_ELECTRONICS
            - FASHION_ITEMS
            - FINE_ART
            - BICYCLE
            - CAMERA
            - JEWELRY
            - MUSICAL_INSTRUMENT
            - BUILDING
            - CONTENTS
            - ICC
          example: PERSONAL_PROPERTY
        premium_cents:
          description: Premium paid for coverage item, in cents
          type: integer
          nullable: true
          example: 18514
        per_person_limit_cents:
          description: Per-person limit, in cents
          type: integer
          nullable: true
        per_incident_limit_cents:
          description: Per-incident limit, in cents
          type: integer
          nullable: true
        deductible_cents:
          description: Deductible, in cents
          type: integer
          nullable: true
          example: 50000
        is_declined:
          description: If true, this coverage item was declined
          type: boolean
    InsuranceDwellingMortgagee:
      required:
        - id
      type: object
      properties:
        id:
          description: ID of the mortgagee
          type: string
          format: uuid
          readOnly: true
          example: 26a4ce3a-0b9f-4c3d-96c0-1c76529e3b52
          maxLength: 36
        name:
          description: Name of the mortgagee
          type: string
          readOnly: true
        type:
          description: The type of mortgagee
          type: string
          example: FIRST
          enum:
            - FIRST
            - SECOND
            - THIRD
          readOnly: true
        loan_number:
          description: Loan number of the mortgage
          type: string
          readOnly: true
        address:
          $ref: '#/components/schemas/InsuranceAddress'
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````